# \_get

Finds an Address based on a given ID value and returns the data of that Address.

### Parameters

#### id

The ID of the Address you wish to gather data of.

### Example

```
FM_api('Address_get',[
  'id'=>'30151'
]);
```

### Results

#### On Success

```
{
    "id":"30151",
    "obj_id":"682883",
    "obj_type":"0",
    "postcode":"",
    "county":"tEst county",
    "country":"IRL",
    "cdate":"1693920425759",
    "meta":"{
            \"city\": \"nOnesuch city\",
            \"latitude\": \"0\",
            \"longitude\": \"0\", 
            \"state\": \"Nostate\", 
            \"street_address1\": \"TestAddress\", 
            \"street_address2\": \"street address 2\", 
            \"town\": \"Test town\"
          }"
    }
```

#### On Failure

If the "id" parameter is not set:

```
{"error":"missing or invalid parameter: id"}
```

If the "id" parameter does not match the ID of an existing Address:

```
false
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/address/_get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
